Description

Hallo liebe Digitalwerker,

leider scheitern wir an der Aufgabe, die globale Property "Enable record dialog" via Python-API zu (de-)aktivieren:

session.global_property_exists("enable_record_dialog") liefert False

session.get_global_property("enable_record_dialog") liefert keine Rückgabe und

session.set_global_property("enable_record_dialog", False) zeigt keine Wirkung

Wir vermuten, dass der Name "enable_record_dialog" (entnommen aus Tab. 3.7 im Handbuch) nicht korrekt ist. Diverse Versuche

mit "root\GUI Settings\Common GUI\Record Dialog\Enable record dialog" und div. Derivaten davon, waren ebenfalls erfolglos. Könnt

ihr uns bitte weiterhelfen.

Wie kann man generell die Namen der Global Properties an der Python-API ableiten?

Hintergrund:

Wir automatisieren ADTF 2 mit einem Python-Skript, das wir per -script-Option auf der Kommandozeile übergeben. Der automatisch

aufgehende Recording Dialog bei Recordern mit Autostart behindert die Automatisierung. Deshalb wollen wir diesen Dialog am

Anfang des Skripts deaktivieren.

Lösung

Genauso geht das, siehe auch das example

<ADTF_DIR>\src\configurations\python\extended_pythonscript\files\03_modifying_global_properties.py

Das Problem bei dir ist:

Das ist keine Global Property (wird unter globals.xml gespeichert) sondern eine GUI Setting (wird unter adtf_devenv.settings)

gespeichert (Filenamen für den Fall dass du adtf_devenv ausführst).

Diese kannst du so nicht anpassen...

Das musst du im File machen, je nachdem mit welchen Manifest du startest wird eine gleichnamige settings Datei angezogen.

Das ist leider in ADTF 2.x limitiert.

PS: Im Übrigen kannst du mittels -quit beim Aufruf imho auch noch sämtliche Dialoge deaktivieren. Das geht auch in Kombination mit

einen Skript

History

#1 - 2019-07-30 11:03 - hidden

- Project changed from Public Support to 28

- Status changed from New to In Progress

- Topic set to ADTF::Python

- Customer set to TRACETRONIC

- Affected Products ADTF 2.14.0 added
#2 - 2019-07-30 11:25 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Workaround Available

Hallo Thomas,

imho geht es genauso, siehe auch das example

<ADTF_DIR>\src\configurations\python\extended_pythonscript\files\03_modifying_global_properties.py

Das Problem bei dir ist:

Das ist keine Global Property (wird unter globals.xml gespeichert) sondern eine GUI Setting (wird unter adtf_devenv.settings) gespeichert (Filenamen

für den Fall dass du adtf_devenv ausführst).

Diese kannst du so nicht anpassen...

Das musst du im File machen, je nachdem mit welchen Manifest du startest wird eine gleichnamige settings Datei angezogen.

Das ist leider in ADTF 2.x limitiert.

PS: Im Übrigen kannst du mittels -quit beim Aufruf imho auch noch sämtliche Dialoge deaktivieren.

#3 - 2019-07-30 12:30 - hidden

Hallo Florian,

vielen Dank für die schnelle Klärung. Der Hinweise auf die quit-Option hat uns sehr geholfen! Wir hatten diese Option bisher nicht beachtet, weil sie

laut Doku die Option -run, also den automatischen Start der Konfiguration, impliziert. Letzteres würde für uns nicht funktionieren, da wir die

Konfiguration im Python-Skript starten müssen, um vorher noch ein paar Einstellungen zu tätigen. Glücklicherweise hat sich nun herausgestellt, dass

quit in Verbindung mit script die Konfiguration nicht automatisch startet.

Nochmals danke und viele Grüße

Thomas

#4 - 2019-07-31 11:06 - hidden

- Project changed from 28 to Public Support

- Subject changed from ADTF2: Zugriff auf Globale Properties via Python-Skript to Access common gui properties using python

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#5 - 2019-08-08 18:14 - hidden

- Status changed from To Be Closed to Closed
